<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
if($user['clan_id'] == 0 || $user['clan_prava'] < 2) {
    header("Location: /clan/");
    exit();
}
$header = 'Управление соклановцами';
require_once '../core/head.php';
$error = NULL;

$arr[2] = array(
    '0' => 'Новобранец',
    '1' => 'Боец'
);
    
$arr[3] = array(
    '0' => 'Новобранец',
    '1' => 'Боец',
    '2' => 'Офицер'
);
        
$arr[4] = array(
    '0' => 'Новобранец',
    '1' => 'Боец',
    '2' => 'Офицер',
    '3' => 'Генерал'
);

if(isset($_POST['nick'])) {
    $nick = mysql_real_escape_string($_POST['nick']);
    $row = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `nick` = '$nick'"));
    if($row['clan_id'] != $user['clan_id']) $error = 'Игрок не состоит в Вашем клане';
    if(empty($row['id'])) $error = 'Игрок с ником '.htmlspecialchars($_POST['nick']).' не найден';
    if($row['id'] == $user['id']) $error = 'Нельзя менять самого себя';
    if($row['clan_prava'] >= $user['clan_prava']) $error = 'Недостаточно прав для изменения прав этого игрока';
    $prava = (int) $_POST['prava'];
    if($prava > count($arr[$user['clan_prava']]) || $prava < 0) $error = 'Вы не имеете права на такое повышение';
    if(!$error) {
        mysql_query("UPDATE `user` SET `clan_prava` = '$prava' WHERE `nick` = '$nick'");
        $text = '<img src="/images/icon/race/'.$user['storona'].'.png" /> <a href="/user/'.$user['id'].'/">'.$user['nick'].'</a> изменил звание <img src="/images/icon/race/'.$row['storona'].'.png" /> <a href="/user/'.$row['id'].'/">'.$row['nick'].'</a> до '.clan_prava($prava);
        mysql_query("INSERT INTO `jr_rekrut` SET `clan_id` = '".$row['clan_id']."', `text` = '$text'");
        echo '<div class="player" style="color: green">
        Права игрока '.htmlspecialchars($_POST['nick']).' были изменены
        </div>';
}
}


if($error) {
    echo '<div class="player" style="color: red">
    '.$error.'
    </div>';
}
echo '<div class="player>
<div class="mini-line"></div>
<form class="player" method="post" action="">
Ник игрока:
<input class="text large" type="text" name="nick" /><br />
Новая должность:<br />
<select name="prava">';
foreach($arr[$user['clan_prava']] as $key => $val) {
    echo '<option value="'.$key.'">'.$val.'</option>';
}
echo '</select><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Отправить">Отправить</span></span>
</form>
<div class="dot-line"></div>
</div>';

require_once '../core/foot.php';